# Class CIM_DeviceSoftware
extends CIM_Dependency

The DeviceSoftware relationship identifies any software that is associated with a Device such as drivers, configuration, or application software, or firmware.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_Dependency
|
+--CIM_DeviceSoftware

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Association | boolean | true
Description | string | The DeviceSoftware relationship identifies any software that is associated with a Device such as drivers, configuration, or application software, or firmware.
UMLPackagePath | string | CIM::Device::DeviceElements
Version | string | 2.10.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
LoadedOnDevice | boolean |
Description | string | Boolean that indicates that the software is 'burned into' or otherwise located on the hardware of the LogicalDevice.
Purpose | uint16 |
Description | string | An enumerated integer that indicates the role that this software plays in regards to its associated Device. For example, this software could be instrumentation (value=5) or firmware (value=6).
MappingStrings | string | MIF.DMTF|SubComponent Software|001.2
ModelCorrespondence | string | CIM_DeviceSoftware.PurposeDescription
ValueMap | string | 0, 1, 2, 3, 4, 5, 6, 7, 8
Values | string | Unknown, Other, Driver, Configuration Software, Application Software, Instrumentation, Firmware, BIOS, Boot ROM
PurposeDescription | string |
Description | string | A free-form string that provides more information for the Purpose property, for example, "Application Software".
ModelCorrespondence | string | CIM_DeviceSoftware.Purpose
UpgradeableOnDevice | boolean |

Description

string

Boolean that indicates whether the software is upgradeable, when it is LoadedOnDevice. Software that is loaded as part of the OperatingSystem is typically changeable and upgradeable. However, when DeviceSoftware is burned into EEPROM or a chip that realizes the LogicalDevice, then it might not be upgradeable. This property indicates the ability to update and upgrade DeviceSoftware.

### Association References

Name | Class Origin | Reference Class
--- | --- | ---
Antecedent | CIM_DeviceSoftware | CIM_SoftwareElement
Dependent | CIM_DeviceSoftware | CIM_LogicalDevice

## Class Methods